<CsoundSynthesizer>
<CsOptions>
-odac -i/dev/null -s -B4096
</CsOptions>

/**********************************************************************/

<CsInstruments>

sr=48000
ksmps=1
nchnls=2
0dbfs=1

galeft init 0
garight init 0 

; basic waveform
gisintbl ftgen 1,0,16384,10,1

; 21 waves for each harmonic
gifreqtbl ftgen 2,0,64,-7,  0.99,21,1.01,0, 1.98,21,2.02,0, 2.97,21,3.03,1,3.03

; just a bunch of ones - all amplitudes are the same
giones ftgen 3,0,64,7,1,64,1

/**********************************************************************/

/* first three harmonics as pure, synchronized sine waves */

instr 1

inote=440*2^((p4-9)/12)

kenv expsegr 1e-4*0.090,0.78,0.090,1.56,1e-4*0.090

aosc1 poscil3 kenv,inote,gisintbl,0
aosc2 poscil3 kenv,inote*2,gisintbl,0
aosc3 poscil3 kenv,inote*3,gisintbl,0

aosc=aosc1+aosc2+aosc3

galeft=galeft+aosc
garight=garight+aosc

endin

/**********************************************************************/

/* first three harmonics with three sine waves at each, separated by 1% */

instr 2

inote=440*2^((p4-9)/12)

kenv expsegr 1e-4*0.038,0.78,0.038,1.56,1e-4*0.038

aosc1 poscil3 kenv,inote,gisintbl,0
aosc2 poscil3 kenv,inote*2,gisintbl,0
aosc3 poscil3 kenv,inote*3,gisintbl,0

aoscx=aosc1+aosc2+aosc3

aosc1 poscil3 kenv,inote*1.01,gisintbl,0
aosc2 poscil3 kenv,inote*2.01,gisintbl,0
aosc3 poscil3 kenv,inote*3.01,gisintbl,0

aoscy=aosc1+aosc2+aosc3

aosc1 poscil3 kenv,inote*0.99,gisintbl,0
aosc2 poscil3 kenv,inote*1.99,gisintbl,0
aosc3 poscil3 kenv,inote*2.99,gisintbl,0

aoscz=aosc1+aosc2+aosc3

aosc=aoscx+aoscy+aoscz

galeft=galeft+aosc
garight=garight+aosc

endin

/**********************************************************************/

/* 21 sine waves for each harmonic spread uniformly from -1% to +1%, with
 * random phases and a separate set of them for left and right channels */

instr 3

inote=440*2^((p4-9)/12)

kenv expsegr 1e-4*0.0195,0.78,0.0195,1.56,1e-4*0.0195

aoscl adsynt kenv,inote,gisintbl,gifreqtbl,giones,63,2
aoscr adsynt kenv,inote,gisintbl,gifreqtbl,giones,63,2

galeft=galeft+aoscl
garight=garight+aoscr

endin

/**********************************************************************/

/* basic output instrument:  just dump out the audio variables */

instr 1000

outs galeft,garight

galeft=0
garight=0

endin

/**********************************************************************/

/* output instrument with stereo chorus effect */

/* each channel is replaced by a mixture of five delayed versions of
 * itself where the delay amounts are in the range 3ms to 17ms, slowly
 * changing according to the "jitter" opcode
 */

instr 1001

ktap0 jitter 0.007,0.5,3
ktap1 jitter 0.007,0.5,3
ktap2 jitter 0.007,0.5,3
ktap3 jitter 0.007,0.5,3
ktap4 jitter 0.007,0.5,3
ktap5 jitter 0.007,0.5,3
ktap6 jitter 0.007,0.5,3
ktap7 jitter 0.007,0.5,3
ktap8 jitter 0.007,0.5,3
ktap9 jitter 0.007,0.5,3

adumpl delayr 0.02
adly0 deltapi 0.01+ktap0
adly1 deltapi 0.01+ktap1
adly2 deltapi 0.01+ktap2
adly3 deltapi 0.01+ktap3
adly4 deltapi 0.01+ktap4
delayw galeft
galeft=0
aleft=(adly0+adly1+adly2+adly3+adly4)*0.36

adumpr delayr 0.02
adly5 deltapi 0.01+ktap5
adly6 deltapi 0.01+ktap6
adly7 deltapi 0.01+ktap7
adly8 deltapi 0.01+ktap8
adly9 deltapi 0.01+ktap9
delayw garight
garight=0
aright=(adly5+adly6+adly7+adly8+adly9)*0.36

outs aleft,aright

endin

/**********************************************************************/

</CsInstruments>

<CsScore>

t0 76

i$INST 1 16 -23
i$INST 1 16 -11
i$INST 1 16 -4

i$INST 4 1 3

i$INST 5 3 0
i$INST 8 1 6

i$INST 9 3 5
i$INST 12 1 8

i$INST 13 4 6
i$INST 15 2 10

i$OUT 0 20

/**********************************************************************/

e 
</CsScore>
</CsoundSynthesizer>
