\header {
  tagline = ""
}

\paper {
  #(define fonts
    (set-global-fonts
      #:roman "ITC Souvenir Std Light"
      #:factor (/ staff-height pt 20)
  ))
}

\include "articulate.ly"

#(define (fraction-with-gap gap)
   (lambda (grob)
     (let* ((frac (ly:grob-property grob 'fraction))
            (num (car frac))
            (den (cdr frac))
            (fontsize (magnification->font-size (/ (- 4 gap) 4)))
            (baseline-skip 2)
            (m (markup
                #:vcenter
                #:fontsize fontsize
                #:override `(baseline-skip . ,baseline-skip)
                 #:center-column (#:number (number->string num)
                                   #:number (number->string den)))))
       (grob-interpret-markup grob m))))

musicT = {
  \clef treble \key des \major
  \override Staff.TimeSignature.stencil = #(fraction-with-gap 0.5)
  \numericTimeSignature
  \time 4/4

  r2. ees'4 | c'2. ges'4 | f'2. aes'4 |
  ges'2~ <ges' bes'>2 |

  \bar "||"
}

musicB = {
  \clef bass \key des \major
  \override Staff.TimeSignature.stencil = #(fraction-with-gap 0.5)
  \numericTimeSignature
  \time 4/4
  
  <des, des aes>1~ |
  <des, des aes>1~ |
  <des, des aes>1~ |
  <des, des aes>1

  \bar "||"
}

\score {
  \new PianoStaff <<
    \override Score.DynamicText.stencil = ##f
    \new Staff = "treble" { \musicT }
    \new Staff = "bass" { \musicB }
    \new Lyrics \with {alignAboveContext = "treble" } \lyricmode {
      \markup { \sans \concat { D \flat sus 2 } } 1 |
      \once \override LyricText.self-alignment-X = #LEFT
      \markup { \sans \concat { G \flat sus 2 + \raise #0.7 \sharp 4 } } 1 |
      \markup { \sans \concat { D \flat } } 1 |
      \markup { \sans \concat { G \flat + 2 } } 1 |
    }
  >>
  \layout {
    \context {
      \Score
      \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/32)
    }
  }
}

\score {
  { \unfoldRepeats { \new StaffGroup <<
    \new Staff = "treble" {
      \tempo 4 = 76
      \musicT
    }
    \new Staff = "bass" { \musicB }
    \new Staff = "trebA" { r2. ees'4 | r2. ges'4 | r2. aes'4 | r2 bes'2 | }
    \new Staff = "trebB" { r1 | c'2. r4 | f'2. r4 | ges'1 |}
  >> } }
  \midi {
  }
}
